ChangeSet 1.1276.1.69, 2003/09/02 11:01:43-07:00, david-b@pacbell.net

[PATCH] USB: net2280 one-liner

Please merge this minor fix:

   - loosen constraints on buffer allocation

This is needed before Alan's file-backed storage
gadget driver will initialize using net2280.


 drivers/usb/gadget/net2280.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/drivers/usb/gadget/net2280.c b/drivers/usb/gadget/net2280.c
--- a/drivers/usb/gadget/net2280.c	Tue Sep  2 12:42:14 2003
+++ b/drivers/usb/gadget/net2280.c	Tue Sep  2 12:42:14 2003
@@ -450,7 +450,7 @@
 	struct net2280_ep	*ep;
 
 	ep = container_of (_ep, struct net2280_ep, ep);
-	if (!_ep || (!ep->desc && ep->num != 0))
+	if (!_ep)
 		return 0;
 
 	*dma = DMA_ADDR_INVALID;
